%define	major 5
%define	util_major 0
%define	protocol_major 0
%define	hashkit_major 0
%define libname %mklibname memcached %{major}
%define util_libname %mklibname memcachedutil %{util_major}
%define protocol_libname %mklibname memcachedprotocol %{protocol_major}
%define hashkit_libname %mklibname memcachedhashkit %{protocol_major}
%define develname %mklibname memcached -d

Summary:	A memcached C library and command line tools
Name:		libmemcached
Version:	0.40
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://tangent.org/552/libmemcached.html
Source0:	http://download.tangent.org/%{name}-%{version}.tar.gz
BuildRequires:	memcached
BuildRequires:	libevent-devel
BuildRequires:	perl-devel
BuildRequires:	libsasl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide full
access to server side methods. It also implements several command line tools:

memcapable - Check memcached server capabilites
memcat - Copy the value of a key to standard output
memcp - Copy a set of files to a memcached cluster
memdump - Dump all values from one or many servers
memerror - Translate a memcached errror code into a string
memflush - Flush the contents of your servers
memrm - Remove a key(s) from the serrver
memslap - Generate testing loads on a memcached cluster
memstat - Dump the stats of your servers to standard output
memstat - Output the state of a memcached cluster

%package -n	%{libname}
Summary:	A memcached C library
Group:          System/Libraries

%description -n	%{libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{util_libname}
Summary:	A memcached C library
Group:          System/Libraries

%description -n	%{util_libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{protocol_libname}
Summary:	A memcached C library
Group:          System/Libraries

%description -n	%{protocol_libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{hashkit_libname}
Summary:	A memcached C library
Group:          System/Libraries

%description -n	%{hashkit_libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{develname}
Summary:	Static library and header files for the libmemcached library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{util_libname} = %{version}-%{release}
Requires:	%{protocol_libname} = %{version}-%{release}
Requires:	%{hashkit_libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libmemcached-devel = %{version}-%{release}

%description -n	%{develname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

This package contains the static libmemcached library and its header files.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x \
    --enable-static \
    --enable-shared \
    --with-memcached=%{_bindir}/memcached

%make

# (oe Fri Jan 30 06:59:18 CET 2009) tests requires root permissions, but don't pass anyway...
#%%check
#make test

%install
rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{util_libname} -p /sbin/ldconfig

%postun -n %{util_libname} -p /sbin/ldconfig

%post -n %{protocol_libname} -p /sbin/ldconfig

%postun -n %{protocol_libname} -p /sbin/ldconfig

%post -n %{hashkit_libname} -p /sbin/ldconfig

%postun -n %{hashkit_libname} -p /sbin/ldconfig
%endif


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/memcapable
%{_bindir}/memcat
%{_bindir}/memcp
%{_bindir}/memdump
%{_bindir}/memerror
%{_bindir}/memflush
%{_bindir}/memrm
%{_bindir}/memslap
%{_bindir}/memstat
%{_mandir}/man1/memcapable.1*
%{_mandir}/man1/memcat.1*
%{_mandir}/man1/memcp.1*
%{_mandir}/man1/memdump.1*
%{_mandir}/man1/memerror.1*
%{_mandir}/man1/memflush.1*
%{_mandir}/man1/memrm.1*
%{_mandir}/man1/memslap.1*
%{_mandir}/man1/memstat.1*

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/*.so.%{major}*
%{_mandir}/man3/libmemcached.3*

%files -n %{util_libname}
%defattr(-,root,root)
%{_libdir}/libmemcachedutil.so.%{util_major}*
%{_mandir}/man3/libmemcachedutil.3*

%files -n %{protocol_libname}
%defattr(-,root,root)
%{_libdir}/libmemcachedprotocol.so.%{protocol_major}*

%files -n %{hashkit_libname}
%defattr(-,root,root)
%{_libdir}/libhashkit.so.%{hashkit_major}*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%dir %{_includedir}/libhashkit
%{_includedir}/%{name}/*
%{_includedir}/libhashkit/*
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%exclude %{_mandir}/man3/libmemcached.3*
%exclude %{_mandir}/man3/libmemcachedutil.3*
%{_mandir}/man3/*


%changelog
* Sat Apr 24 2010 Funda Wang <fwang@mandriva.org> 0.40-1mdv2010.1
+ Revision: 538416
- New version 0.40

* Wed Apr 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.39-1mdv2010.1
+ Revision: 532606
- 0.39

* Sat Mar 27 2010 Oden Eriksson <oeriksson@mandriva.com> 0.38-2mdv2010.1
+ Revision: 528046
- fix build
- fix deps

* Thu Feb 11 2010 Funda Wang <fwang@mandriva.org> 0.38-1mdv2010.1
+ Revision: 504357
- New version 0.38

* Wed Jan 13 2010 Oden Eriksson <oeriksson@mandriva.com> 0.37-1mdv2010.1
+ Revision: 490748
- the major was bumped
- 0.37

* Fri Jan 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.36-1mdv2010.1
+ Revision: 487534
- fix deps
- 0.36

* Thu Nov 19 2009 Oden Eriksson <oeriksson@mandriva.com> 0.35-1mdv2010.1
+ Revision: 467406
- 0.35

* Fri Nov 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.34-1mdv2010.1
+ Revision: 461873
- fix build
- 0.34

* Fri Oct 02 2009 Oden Eriksson <oeriksson@mandriva.com> 0.33-2mdv2010.0
+ Revision: 452725
- fix #54183 (libmemcached* improperly libified, leading to conflicts)

* Fri Sep 25 2009 Oden Eriksson <oeriksson@mandriva.com> 0.33-1mdv2010.0
+ Revision: 448751
- add unpacked files
- new major (3)
- 0.33

* Fri Sep 18 2009 Oden Eriksson <oeriksson@mandriva.com> 0.32-1mdv2010.0
+ Revision: 444312
- 0.32

* Sat Jul 11 2009 Oden Eriksson <oeriksson@mandriva.com> 0.31-1mdv2010.0
+ Revision: 394777
- 0.31

* Tue Jun 02 2009 Oden Eriksson <oeriksson@mandriva.com> 0.30-1mdv2010.0
+ Revision: 382160
- 0.30
- drop P0, it's implemented upstream

* Tue May 19 2009 Oden Eriksson <oeriksson@mandriva.com> 0.29-1mdv2010.0
+ Revision: 377735
- 0.29

* Fri Jan 30 2009 Oden Eriksson <oeriksson@mandriva.com> 0.26-1mdv2009.1
+ Revision: 335430
- fix build
- 0.26

* Sat Nov 29 2008 Funda Wang <fwang@mandriva.org> 0.25-1mdv2009.1
+ Revision: 307798
- new version 0.25

* Mon Sep 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.23-1mdv2009.0
+ Revision: 282751
- 0.23

* Tue Jul 15 2008 Oden Eriksson <oeriksson@mandriva.com> 0.22-1mdv2009.0
+ Revision: 235873
- 0.22

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.21-2mdv2009.0
+ Revision: 229680
- never obsolete a library

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 24 2008 Oden Eriksson <oeriksson@mandriva.com> 0.21-1mdv2009.0
+ Revision: 210841
- 0.21

* Tue May 06 2008 Funda Wang <fwang@mandriva.org> 0.20-1mdv2009.0
+ Revision: 201759
- New version 0.20

* Thu Apr 10 2008 Oden Eriksson <oeriksson@mandriva.com> 0.19-1mdv2009.0
+ Revision: 192537
- 0.19
- 0.18

  + Thierry Vignaud <tv@mandriva.org>
    - remove URL from description

* Mon Feb 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.16-1mdv2008.1
+ Revision: 171415
- 0.16

* Wed Jan 30 2008 Funda Wang <fwang@mandriva.org> 0.15-1mdv2008.1
+ Revision: 160165
- update to new version 0.15

* Tue Jan 22 2008 Oden Eriksson <oeriksson@mandriva.com> 0.14-1mdv2008.1
+ Revision: 156570
- 0.14

* Mon Jan 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13-1mdv2008.1
+ Revision: 151152
- 0.13

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Oden Eriksson <oeriksson@mandriva.com> 0.12-1mdv2008.1
+ Revision: 118071
- 0.12
- simplify the spec file a bit

* Mon Nov 26 2007 Oden Eriksson <oeriksson@mandriva.com> 0.11-1mdv2008.1
+ Revision: 112120
- 0.11

* Wed Nov 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.10-1mdv2008.1
+ Revision: 110950
- 0.10

* Fri Nov 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9-1mdv2008.1
+ Revision: 109051
- no need to obsolete a package that don't exist (duh!)
- 0.9
- new major (1)

* Wed Nov 14 2007 Funda Wang <fwang@mandriva.org> 0.7-2mdv2008.1
+ Revision: 108823
- rebuild

* Tue Oct 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7-1mdv2008.1
+ Revision: 103960
- 0.7

* Wed Oct 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6-1mdv2008.1
+ Revision: 99759
- 0.6

* Tue Oct 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdv2008.1
+ Revision: 95786
- 0.5

* Wed Oct 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4-1mdv2008.1
+ Revision: 95201
- 0.4
- import libmemcached


* Tue Oct 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3-1mdv2008.0
- initial Mandriva package
